cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sylvain Wallez <sylv...@apache.org>
Subject Re: 2.1 portal won't compile in jdk 1.3
Date Fri, 03 Feb 2006 07:07:31 GMT
Ralph Goers wrote:
> OK.  So I was able to compile it with the updated bridges jar.  Now it 
> dies when I log in to the portal.  My guess is that WSRP4J requires 
> servlet 2.3?
>
> 22:17:43.283 WARN!! Error for /samples/blocks/portal/auth?resource=portal
> java.lang.NoSuchMethodError
>        at 
> org.apache.wsrp4j.exception.WSRPException.<init>(WSRPException.java:73)

Looking at 
http://svn.apache.org/repos/asf/portals/wsrp4j/trunk/src/org/apache/wsrp4j/exception/WSRPException.java

    public WSRPException(int errorCode, Throwable t)
    {
        //String message = Messages.get(errorCode);
 >>>     super(Messages.get(errorCode),t);
        errCode = errorCode;
        nestedThrowable = t;
    }

WSRPException uses the constructor Exception(String, Throwable) that 
doesn't exist in JDK 1.3...

Sylvain

-- 
Sylvain Wallez                        Anyware Technologies
http://bluxte.net                     http://www.anyware-tech.com
Apache Software Foundation Member     Research & Technology Director


Mime
View raw message